﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Data;

namespace CustomAggregateFunctionSL
{
    public class MyAggregateFunction : EnumerableAggregateFunction
    {
        protected override string AggregateMethodName
        {
            get
            {
                return "MyAggregateMethod";
            }
        }

        protected override Type ExtensionMethodsType
        {
            get
            {
                return typeof(MyAggregates);
            }
        }
    }

    public class MyAggregates
    {
        public static double MyAggregateMethod<TSource>(IEnumerable<Item> source)
        {
            return source.Where(i => i.Type == "P").Sum(i=>i.Value1);
        }
    }
}
